> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Card Products

> List of available Card Products




## OpenAPI

````yaml openapi-v1.json get /cards/products
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /cards/products:
    get:
      tags:
        - Cards
      summary: List Card Products
      description: |
        List of available Card Products
      operationId: listCardProducts
      parameters:
        - $ref: '#/components/parameters/card_brand_query'
        - $ref: '#/components/parameters/form_query'
        - $ref: '#/components/parameters/page_token'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/card_product_sort_by_query'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/card_product_list_response'
          description: List of available Card Products
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    card_brand_query:
      description: The brand of a card product
      in: query
      name: card_brand
      schema:
        $ref: '#/components/schemas/card_brand'
    form_query:
      description: The format of the card
      in: query
      name: form
      schema:
        $ref: '#/components/schemas/form'
    page_token:
      in: query
      name: page_token
      schema:
        description: >-
          Optional pagination token to be provided to retrieve subsequent pages,
          returned from previous get
        example: a8937a0d
        type: string
    limit:
      in: query
      name: limit
      schema:
        default: 100
        description: >
          Maximum number of objects to return per page. If the limit is greater
          than 100, then it will be set to 100.
        example: 100
        minimum: 1
        type: integer
    card_product_sort_by_query:
      description: |
        Specifies the sort order for the returned card products.
      explode: false
      in: query
      name: sort_by
      schema:
        items:
          enum:
            - active:asc
            - active:desc
            - card_brand:asc
            - card_brand:desc
            - card_category:asc
            - card_category:desc
            - card_type:asc
            - card_type:desc
            - creation_time:asc
            - creation_time:desc
            - end_date:asc
            - end_date:desc
            - form:asc
            - form:desc
            - name:asc
            - name:desc
            - start_date:asc
            - start_date:desc
          type: string
        type: array
      style: form
  schemas:
    card_product_list_response:
      allOf:
        - properties:
            card_products:
              description: Array of Card Products
              items:
                $ref: '#/components/schemas/card_product_response'
              type: array
          required:
            - card_products
          type: object
        - $ref: '#/components/schemas/paginated_response'
    card_brand:
      description: The brand of a card product
      enum:
        - MASTERCARD
        - VISA
      type: string
    form:
      description: PHYSICAL or VIRTUAL.
      enum:
        - PHYSICAL
        - VIRTUAL
      type: string
    card_product_response:
      allOf:
        - $ref: '#/components/schemas/card_product'
        - properties:
            account_range_id:
              $ref: '#/components/schemas/account_range_id'
            bin_id:
              $ref: '#/components/schemas/bin_id'
            tenant:
              $ref: '#/components/schemas/tenant_id'
            three_ds_policy:
              $ref: '#/components/schemas/three_ds_policy'
          required:
            - account_range_id
            - bin_id
            - tenant
            - three_ds_policy
          type: object
      required:
        - active
        - bulk_shipping_enabled
        - card_program_id
        - creation_time
        - end_date
        - form
        - id
        - last_updated_time
        - name
        - start_date
        - tenant
        - unsecured_credit_enabled
    paginated_response:
      properties:
        next_page_token:
          description: >-
            If returned, use the next_page_token to query for the next page of
            results. Not returned if there are no more rows.
          example: a8937a0d
          type: string
      title: Paginated List response
      type: object
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    card_product:
      allOf:
        - properties:
            active:
              description: Indicates whether the Card Product is active
              type: boolean
            bin_country:
              $ref: '#/components/schemas/country_code'
            bulk_shipping_enabled:
              default: false
              description: >-
                Indicates whether or not cards issued with this product can be
                shipped in bulk. Refer to Bulk Issuance.
              type: boolean
            bypass_risk_errors:
              $ref: '#/components/schemas/bypass_risk_errors'
            card_brand:
              $ref: '#/components/schemas/card_brand'
            card_category:
              $ref: '#/components/schemas/card_category'
            card_fulfillment_country:
              $ref: '#/components/schemas/country_code'
            card_fulfillment_provider:
              $ref: '#/components/schemas/card_fulfillment_provider'
            card_limit:
              description: >-
                Maximum number of cards per person allowed for this card
                product. Not applicable to business cards.
              minimum: 1
              type: integer
            card_program_id:
              description: Card Program ID
              example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
              format: uuid
              type: string
            card_type:
              $ref: '#/components/schemas/card_type'
            color:
              description: >-
                Color code for dynamic card elements such as PAN and card holder
                name
              pattern: ^[0-9A-F]{6}$
              type: string
            creation_time:
              description: The timestamp representing when the Card Product was created
              example: '2010-05-06T12:23:34.321Z'
              format: date-time
              readOnly: true
              type: string
            cross_border_enabled:
              $ref: '#/components/schemas/cross_border_enabled'
            digital_wallet_tokenization:
              $ref: '#/components/schemas/digital_wallet_tokenization'
            end_date:
              description: The time when the Card Product is decommissioned
              example: '2050-06-07T21:32:43.321Z'
              format: date-time
              type: string
            id:
              description: Card Product ID
              example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
              format: uuid
              readOnly: true
              type: string
            image:
              description: >-
                Indicates whether or not there is an overlay image of the card
                product available
              type: boolean
            image_mode:
              $ref: '#/components/schemas/card_image_mode'
            issue_without_kyc:
              description: Allow issuing cards on this product without requiring KYC
              type: boolean
            l2l3_enabled:
              $ref: '#/components/schemas/l2l3_enabled'
            last_updated_time:
              description: >-
                The timestamp representing when the Card Product was last
                modified
              example: '2010-05-06T12:23:34.321Z'
              format: date-time
              readOnly: true
              type: string
            name:
              description: The name of the Card Product
              maxLength: 40
              minLength: 1
              type: string
            notification_language:
              $ref: '#/components/schemas/notification_language'
            offline_pin:
              description: >-
                Cards issued with this product have the PIN stored on the card
                for use in offline scenarios.
              type: boolean
            orientation:
              description: Card orientation
              enum:
                - HORIZONTAL
                - VERTICAL
              type: string
            package_id:
              description: Card fulfillment provider’s package ID
              maxLength: 50
              minLength: 1
              type: string
            physical_card_format:
              $ref: '#/components/schemas/physical_card_format'
            pin_issuance_policy:
              $ref: '#/components/schemas/pin_issuance_policy'
            processor:
              $ref: '#/components/schemas/issuer_processor'
            return_address:
              $ref: '#/components/schemas/shipping'
            start_date:
              description: The time when the Card Product goes live
              example: '2010-05-06T12:23:34.321Z'
              format: date-time
              type: string
            txn_enhancer:
              $ref: '#/components/schemas/txn_enhancer'
            unsecured_credit_enabled:
              default: false
              description: >-
                Indicates whether unsecured credit is enabled for this card
                product
              type: boolean
            vendor_data:
              $ref: '#/components/schemas/card_product_vendor_data'
          required:
            - active
            - bin_id
            - card_program_id
            - name
            - processor
            - start_date
          type: object
        - $ref: '#/components/schemas/card_format'
      description: Card Product
    account_range_id:
      description: The unique identifier of a account range
      example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
      format: uuid
      type: string
    bin_id:
      description: The unique identifier of a bin
      example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
      format: uuid
      type: string
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    three_ds_policy:
      description: >
        EMV 3-D Secure policy. Whenever a 3DS decision gateway refers to a card
        product, the policy for that card

        product is always DECISION_GATEWAY.


        Policy           | Description

        ---------------- | -----------

        SMS_OTP          | Use the card holder's phone number on file to perform
        advanced authentication via SMS

        EXEMPT           | Transactions will be exempted from advanced
        authentication

        DECISION_GATEWAY | Fintech 3DS decision gateway will decide the 3DS
        action for each transaction
      enum:
        - DECISION_GATEWAY
        - EXEMPT
        - SMS_OTP
      type: string
    country_code:
      description: ISO-3166-1 Alpha-2 country code
      example: US
      maxLength: 2
      minLength: 2
      type: string
    bypass_risk_errors:
      description: Allow bypassing risk engine errors.
      type: boolean
    card_category:
      description: The category of the card
      enum:
        - COMMERCIAL
        - CONSUMER
      type: string
    card_fulfillment_provider:
      description: card fulfillment provider for physical cards
      enum:
        - ARROWEYE
        - GD
      type: string
    card_type:
      description: The type of the card program and BIN
      enum:
        - CREDIT
        - DEBIT
        - PREPAID
      type: string
    cross_border_enabled:
      default: false
      description: >
        Enable/Disable cross border transaction - transaction will be
        automatically declined when merchant country is different than BIN
        country when disabled. Cross-Border transaction are disabled by default.
      type: boolean
    digital_wallet_tokenization:
      properties:
        card_art_id:
          description: >-
            Specifies the digital wallet card art identifier for the card
            product.
          type: string
        provisioning_controls:
          $ref: '#/components/schemas/provisioning_controls'
      type: object
    card_image_mode:
      description: >
        The image mode of a card product.

        If the card product supports custom card images, this value determines
        how the images will be handled during card issuance.

        REQUIRED_APPROVED_FIRST means that cards issued with this card product
        must have the ID of an image that has been uploaded and approved.
      enum:
        - REQUIRED_APPROVED_FIRST
      type: string
    l2l3_enabled:
      default: false
      description: >
        Enable/Disable l2l3 transaction - L2l3 transaction are disabled by
        default.
      type: boolean
    notification_language:
      description: >-
        Specifies the language for 3D Secure and digital wallet token
        notifications sent to cardholders.

        By default, notifications are sent in English.

        Limited list of ISO 639-3 languages codes are supported.
      enum:
        - ces
        - deu
        - ell
        - eng
        - fra
        - ita
        - nld
        - pol
        - por
        - ron
        - spa
      type: string
    physical_card_format:
      description: The format of a physical card product
      enum:
        - CHIP
        - CONTACTLESS
        - MAGNETIC_STRIPE
        - PHYSICAL_COMBO
      type: string
    pin_issuance_policy:
      description: >
        Issuance for physical cards with respect to the PIN being set.


        Policy              | Description

        ------------------- | -----------

        NOT_REQUIRED        | Cards may be fulfilled as soon as possible whether
        or not a PIN has been set (default).

        REQUIRED            | On creation, cards will be PENDING and will not be
        fulfilled until a PIN has been set.

        RANDOM              | Cards may be fulfilled as soon as possible with a
        random PIN.
      enum:
        - NOT_REQUIRED
        - RANDOM
        - REQUIRED
      type: string
    issuer_processor:
      description: Issuer processor
      enum:
        - EPISODE_SIX
        - MARQETA
      type: string
    shipping:
      description: >-
        Details about the shipping method. If supplied this will override the
        default shipping address of the customer or account.
      properties:
        address:
          allOf:
            - $ref: '#/components/schemas/address'
          description: >-
            The address to which the card will be shipped - Defaults to account
            shipping address if none supplied
        care_of_line:
          description: The name of the person to send in care of
          type: string
        is_expedited_fulfillment:
          $ref: '#/components/schemas/expedited_fulfillment'
        method:
          $ref: '#/components/schemas/shipping_method'
        phone_number:
          $ref: '#/components/schemas/phone_number'
        recipient_name:
          allOf:
            - $ref: '#/components/schemas/recipient_name'
          description: The name of the recipient to whom the card will be shipped
      type: object
    txn_enhancer:
      default: MX
      description: >-
        Whether to use a transaction enhancer and/or which vendor to use.
        Enhancer is a third party service that provides additional data for card
        transactions. MX is included by default.
      enum:
        - MX
        - NONE
      example: NONE
      type: string
    card_product_vendor_data:
      description: Vendor-specific configuration for a card product.
      properties:
        episodesix:
          $ref: '#/components/schemas/e6_card_product_vendor_data'
      type: object
    card_format:
      properties:
        form:
          description: PHYSICAL or VIRTUAL.
          enum:
            - PHYSICAL
            - VIRTUAL
          type: string
      required:
        - form
      type: object
    provisioning_controls:
      properties:
        in_app_provisioning:
          $ref: '#/components/schemas/in_app_provisioning'
        manual_entry:
          $ref: '#/components/schemas/manual_entry'
        wallet_provider_card_on_file:
          $ref: '#/components/schemas/wallet_provider_card_on_file'
        web_push_provisioning:
          $ref: '#/components/schemas/web_push_provisioning'
      type: object
    address:
      properties:
        address_line_1:
          description: Street address line 1
          example: 100 Main St.
          maxLength: 100
          type: string
        address_line_2:
          description: Street address line 2
          example: Suite 99
          maxLength: 100
          type: string
        city:
          description: City
          example: New York
          type: string
        country_code:
          description: ISO-3166-1 Alpha-2 country code
          example: US
          pattern: ^[A-Z]{2}$
          type: string
        postal_code:
          description: Postal code
          example: '49633'
          type: string
        state:
          description: >
            State, region, province, or prefecture.

            This is the ISO-3166-2 subdivision code, excluding the country
            prefix.

            For example, TX for Texas USA or TAM for Tamaulipas Mexico.

            Its length varies by country, e.g. 2 characters for US, 3 for MX.
          example: NY
          type: string
      required:
        - address_line_1
        - city
        - country_code
        - postal_code
        - state
      type: object
    expedited_fulfillment:
      deprecated: true
      description: Is the shipment expedited
      type: boolean
    shipping_method:
      description: >
        The shipping method.

        * `INTERNATIONAL_GROUND` is only available for addresses in Canada and
        Mexico.
      enum:
        - INTERNATIONAL
        - INTERNATIONAL_GROUND
        - INTERNATIONAL_PRIORITY
        - LOCAL_MAIL
        - LOCAL_PRIORITY
        - OVERNIGHT
        - TWO_DAY
      example: LOCAL_MAIL
      type: string
    phone_number:
      description: The phone number of the recipient
      example: '+14374570680'
      pattern: ^\+[1-9]\d{1,14}$
      type: string
    recipient_name:
      properties:
        first_name:
          example: Jane
          maxLength: 30
          type: string
        last_name:
          example: Smith
          maxLength: 30
          type: string
        middle_name:
          example: Anne
          maxLength: 30
          type: string
      required:
        - first_name
        - last_name
      type: object
    e6_card_product_vendor_data:
      description: Episode Six-specific configuration for a card product.
      properties:
        scheme_id:
          description: >
            The unique Issuer identifier assigned to the product configuration
            in BPMS. Required for E6 digital wallet tokenization (digitization
            service).
          type: string
        token_activation_methods:
          description: >
            The cardholder authorization methods available for tokenization.
            Configures how cardholders can verify their identity when adding a
            card to a digital wallet.
          items:
            $ref: '#/components/schemas/e6_token_activation_method'
          type: array
      required:
        - scheme_id
        - token_activation_methods
      type: object
    in_app_provisioning:
      properties:
        address_verification:
          $ref: '#/components/schemas/digital_wallet_token_address_verification'
        enabled:
          type: boolean
      type: object
    manual_entry:
      properties:
        address_verification:
          $ref: '#/components/schemas/digital_wallet_token_address_verification'
        enabled:
          type: boolean
      type: object
    wallet_provider_card_on_file:
      properties:
        address_verification:
          $ref: '#/components/schemas/digital_wallet_token_address_verification'
        enabled:
          type: boolean
      type: object
    web_push_provisioning:
      properties:
        apple_card_template_id:
          type: string
        apple_partner_id:
          type: string
        google_piaid:
          description: Google Payment Integrator Account ID.
          type: string
      type: object
    e6_token_activation_method:
      description: A cardholder authorization method for E6 digital wallet tokenization.
      enum:
        - EMAIL
        - SMS
      type: string
    digital_wallet_token_address_verification:
      properties:
        validate:
          example: false
          type: boolean
      type: object
  responses:
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````